import App from './App'
import { createSSRApp } from 'vue'
import setupPinia from './store/init'

import 'uno.css'

//挂载全局
import {setupComponents} from './components/index'

export function createApp() {
  const app = createSSRApp(App)
  // 挂载状态管理
  app.use(setupPinia)
  // 组件注册全局
  setupComponents(app);

  return {app}
}
